
Application: gvSIG desktop - gvSIG bugs #4411
Falla la compilacion de org.gvsig.gpe
10/23/2016 09:36 AM - Joaquín  del Cerro Murciano

Status: Closed % Done: 0%
Priority: Urgent Spent time: 0.00 hour
Assignee: Joaquín  del Cerro Murciano
Category:
Target version: 2.3.3-2704 (rev. org.gvsig.desktop-2.0.162)
Severity: Blocker Add-on version:
gvSIG version: 2.3.0 Add-on build:
gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

[ERROR] Failed to execute goal org.apache.maven.plugins:maven-compiler-plugin:2.3.2:compile (default-compile) on project
org.gvsig.gpe.exportto.kml: Compilation failure
[ERROR]
/mnt/devel1/jenkins/workspace/org.gvsig.gpe/org.gvsig.gpe.exportto/org.gvsig.gpe.exportto.kml/src/main/java/org/gvsig/gpe/exportto/kml/ExporttoKMLService.java:[177,49] error: cannot access Services
[ERROR] -> [Help 1]

portto/kml/ExporttoKMLService.java:[177,49] error: cannot access Services
[ERROR] -> [Help 1]

History
#1 - 10/23/2016 10:07 AM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

La salida de un "mvn dependency:tree" daba:

[INFO] --- maven-dependency-plugin:2.1:tree (default-cli) @ org.gvsig.gpe.exportto.kml ---
[INFO] org.gvsig:org.gvsig.gpe.exportto.kml:jar:2.1.41-SNAPSHOT
[INFO] +- org.gvsig:org.gvsig.gpe.lib.api:jar:2.1.41-SNAPSHOT:compile
[INFO] |  \- org.gvsig:org.gvsig.xmlpull.lib.api:jar:2.0.2:compile
[INFO] +- org.gvsig:org.gvsig.gpe.prov.kml:jar:2.1.41-SNAPSHOT:compile
[INFO] |  +- org.gvsig:org.gvsig.gpe.lib.spi:jar:2.1.41-SNAPSHOT:compile
[INFO] |  +- org.gvsig:org.gvsig.gpe.lib.impl:jar:2.1.41-SNAPSHOT:compile
[INFO] |  |  \- org.gvsig:org.gvsig.xmlschema.lib.api:jar:2.0.7:compile
[INFO] |  +- org.gvsig:org.gvsig.gpe.prov.xml:jar:2.1.41-SNAPSHOT:compile
[INFO] |  +- org.gvsig:org.gvsig.compat.api:jar:2.0.160:compile
[INFO] |  \- org.gvsig:org.gvsig.compat.se:jar:2.0.160:compile
[INFO] +- org.gvsig:org.gvsig.exportto.swing.spi:jar:2.0.160:compile
[INFO] |  +- org.gvsig:org.gvsig.exportto.lib.api:jar:2.0.160:compile
[INFO] |  +- org.gvsig:org.gvsig.exportto.swing.api:jar:2.0.160:compile
[INFO] |  +- org.gvsig:org.gvsig.timesupport.lib.api:jar:2.0.160:compile
[INFO] |  \- org.gvsig:org.gvsig.i18n:jar:2.0.160:compile
[INFO] +- org.gvsig:org.gvsig.exportto.swing.prov.file:jar:2.0.160:compile
[INFO] |  +- org.gvsig:org.gvsig.tools.swing.impl:jar:3.0.88:runtime (version managed from 3.0.93)
[INFO] |  |  +- com.jeta:formsrt:jar:2.1.0_M3-1:runtime
[INFO] |  |  \- com.jgoodies:jgoodies-forms:jar:1.6.0:runtime
[INFO] |  |     \- com.jgoodies:jgoodies-common:jar:1.4.0:runtime
[INFO] |  +- org.gvsig:org.gvsig.ui:jar:2.0.160:compile
[INFO] |  |  +- org.jfree:jfreechart:jar:1.0.14:compile
[INFO] |  |  |  +- org.jfree:jcommon:jar:1.0.17:compile
[INFO] |  |  |  +- xml-apis:xml-apis:jar:1.4.01:compile (version managed from 1.3.04)
[INFO] |  |  |  \- com.lowagie:itext:jar:2.1.7:compile (version managed from 2.1.5)
[INFO] |  |  |     +- bouncycastle:bcmail-jdk14:jar:138:compile
[INFO] |  |  |     +- bouncycastle:bcprov-jdk14:jar:138:compile
[INFO] |  |  |     \- org.bouncycastle:bctsp-jdk14:jar:1.38:compile
[INFO] |  |  |        +- org.bouncycastle:bcprov-jdk14:jar:1.38:compile
[INFO] |  |  |        \- org.bouncycastle:bcmail-jdk14:jar:1.38:compile
[INFO] |  |  +- net.sf:flib-jcalendar:jar:unknown:compile
[INFO] |  |  +- jwizardcomponent:jwizardcomponent:jar:1.2.2:compile
[INFO] |  |  \- com.vividsolutions:jts:jar:1.13:runtime
[INFO] |  \- org.gvsig:org.gvsig.fmap.dal.file.lib:jar:2.0.160:compile
[INFO] |     \- org.gvsig:org.gvsig.fmap.dal.spi:jar:2.0.160:compile
[INFO] |        \- com.google.code.gson:gson:jar:2.3.1:compile
[INFO] +- org.gvsig:org.gvsig.gpe.exportto.generic:jar:2.1.41-SNAPSHOT:compile
[INFO] +- org.gvsig:org.gvsig.tools.swing.api:jar:3.0.88:compile
[INFO] |  +- org.slf4j:slf4j-api:jar:1.5.5:compile
[INFO] |  \- org.slf4j:slf4j-log4j12:jar:1.5.5:runtime
[INFO] |     \- log4j:log4j:jar:1.2.14:runtime
[INFO] +- org.gvsig:org.gvsig.tools.lib:jar:3.0.88:compile
[INFO] |  +- org.apache.commons:commons-lang3:jar:3.1:compile
[INFO] |  +- net.sf.kxml:kxml2:jar:2.2.2:compile
[INFO] |  |  \- xmlpull:xmlpull:jar:1.1.3.1:compile
[INFO] |  \- commons-io:commons-io:jar:2.4:compile
[INFO] +- org.gvsig:org.gvsig.fmap.dal.api:jar:2.0.160:compile
[INFO] +- org.gvsig:org.gvsig.fmap.geometry.api:jar:2.0.160:compile
[INFO] +- org.gvsig:org.gvsig.fmap.mapcontext.api:jar:2.0.160:compile
[INFO] +- org.gvsig:org.gvsig.symbology.lib.api:jar:2.0.160:compile
[INFO] +- org.gvsig:org.gvsig.projection.api:jar:2.0.22:compile
[INFO] +- org.gvsig:org.gvsig.metadata.lib.basic.api:jar:2.0.160:compile
[INFO] \- junit:junit:jar:3.8.1:test
[INFO] ------------------------------------------------------------------------

Al parecer alguien estaba usando una version antigua de tools y forzaba a que se compilase con esta.

Al parecer habia que actualizar las versiones de org.gvsig.desktop de org.gvsig.xmlschema y org.gvsig.xmlpull a la ultima para que no hubiese
conflicto con la version de org.gvsig.tools y cogiese la ultima.

#2 - 06/11/2017 09:45 PM - Álvaro Anguix
- Status changed from Fixed to Closed
